#ifndef LIGHTMUX_H
#define LIGHTMUX_H


class LightMux
{

    int brightness; // total power of the LED Panels (both colors) in percent
    int temperatur; // muxed color temperature of the LED Panels, from coldest to warmest in Kelvin

    int coldest_temperature = 6500; // coldest possible temperature in Kelvin --> the cold LEDs
    int warmest_temperature = 2700; // warmest possible temperature in Kelvin --> the warm LEDs
    int steps_temperature = 100; // steps to change the temperature in Kelvin


public:
    LightMux();

    void incBrightness();
    void decBrightness();

    void cold_Temperature();
    void warm_Temperature();

    int getBrightness();

    int getTemperature();

};

#endif // LIGHTMUX_H
