#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <string>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    setFixedSize(400,360);

    lmux = new LightMux();

    ui->lcdBrightness->setDigitCount(3);
    ui->lcdTemperature->setDigitCount(4);

    updateUI();

}

MainWindow::~MainWindow()
{
    delete ui;
}


void MainWindow::updateUI(){

ui->lcdBrightness->display(lmux->getBrightness());
ui->lcdTemperature->display(lmux->getTemperature());

}


void MainWindow::setLablePowerCold(int val){

    //ui->labelPowerCold->setText("Output Power Cold: " + QString::number(val) + " %");
}

void MainWindow::on_BtnIncreaseBrightness_clicked()
{
    //qDebug( "BtnIncreaseBrightness_clicked\n");
}

void MainWindow::on_BtnDecreaseBrightness_clicked()
{

}

void MainWindow::on_BtnIncreaseTemperatur_clicked()
{

}

void MainWindow::on_BtnDecreaseTemperatur_clicked()
{

}

void MainWindow::on_BtnSetBrightness_clicked()
{

}

void MainWindow::on_BtnSetTemperatur_clicked()
{

}
